:host {
	display: grid;
	gap: 8px;
	grid-template-columns: max-content 1fr;
	grid-template-areas: 'message-metadata message-content';

	&.right {
		grid-template-columns: 1fr max-content;
		grid-template-areas: 'message-content message-metadata';
	}

	.message-metadata {
		grid-area: message-metadata;

		display: grid;
		grid-template-columns: max-content max-content;
		gap: 4px;

		user-select: none;
		font-size: 12px;

		::ng-deep mat-icon {
			font-size: 15px;
			width: 15px;
			height: 15px;
		}
	}

	.message-content {
		grid-area: message-content;

		display: grid;
		grid-auto-rows: min-content;

		background-color: var(--background-color-z1);
		border: 1px solid var(--border-color);
		border-radius: 4px;
		justify-self: flex-start;

		.text {
			word-break: break-word;
			min-width: 0;

			::ng-deep * {
				white-space: pre-wrap;
				margin: 0;
			}
		}

		.text,
		app-link-view,
		app-attachment-view {
			padding: 8px;
		}

		app-attachment-view {
			max-width: 500px;
		}
	}

	&.right .message-content {
		justify-self: flex-end;
	}
}
